<?php
/**
 * Stock Photos: Block Patterns
 *
 * @package Stock Photos
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'stock_photos',
		array( 'label' => __( 'Stock Photos', 'stock-photos' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'stock-photos/banner-section',
		array(
			'title'      => __( 'Banner Section', 'stock-photos' ),
			'categories' => array( 'stock_photos' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/images/banner-image.png\",\"id\":3599,\"dimRatio\":0,\"align\":\"full\",\"className\":\"stock-photos-banner-section\"} -->\n<div class=\"wp-block-cover alignfull stock-photos-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-3599\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/images/banner-image.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"stock-photos-columns-section pt-5 px-md-5 mx-lg-5 px-3\"} -->\n<div class=\"wp-block-columns stock-photos-columns-section pt-5 px-md-5 mx-lg-5 px-3\"><!-- wp:column {\"className\":\"stock-photos-text-section\"} -->\n<div class=\"wp-block-column stock-photos-text-section\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"30px\"}}} -->\n<h1 style=\"font-size:30px\">Stock Photography</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p style=\"font-size:15px\">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum </p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->\n\n<!-- wp:group {\"align\":\"full\",\"className\":\"stock-photos-featured-section-group px-lg-5  py-4 mb-5 px-4\"} -->\n<div class=\"wp-block-group alignfull stock-photos-featured-section-group px-lg-5 py-4 mb-5 px-4\"><!-- wp:paragraph {\"className\":\"mx-md-5\",\"fontSize\":\"medium\"} -->\n<p class=\"mx-md-5 has-medium-font-size\"><strong>Featured Collections</strong></p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns {\"className\":\"stock-photos-featured-section-column  mx-md-5\"} -->\n<div class=\"wp-block-columns stock-photos-featured-section-column  mx-md-5\"><!-- wp:column {\"className\":\"stock-photos-featured-section-image\"} -->\n<div class=\"wp-block-column stock-photos-featured-section-image\"><!-- wp:image {\"id\":3604,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/featured-image1.png\" alt=\"\" class=\"wp-image-3604\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:18px\">Travel</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-featured-section-image\"} -->\n<div class=\"wp-block-column stock-photos-featured-section-image\"><!-- wp:image {\"id\":3606,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/featured-image2.png\" alt=\"\" class=\"wp-image-3606\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:18px\">Food</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-featured-section-image\"} -->\n<div class=\"wp-block-column stock-photos-featured-section-image\"><!-- wp:image {\"id\":3607,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/featured-image3.png\" alt=\"\" class=\"wp-image-3607\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:18px\">Model</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-featured-section-image\"} -->\n<div class=\"wp-block-column stock-photos-featured-section-image\"><!-- wp:image {\"id\":3608,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/featured-image4.png\" alt=\"\" class=\"wp-image-3608\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:18px\">Natue</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-featured-section-image\"} -->\n<div class=\"wp-block-column stock-photos-featured-section-image\"><!-- wp:image {\"id\":3609,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/featured-image5.png\" alt=\"\" class=\"wp-image-3609\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:18px\">Fashion</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-featured-section-image\"} -->\n<div class=\"wp-block-column stock-photos-featured-section-image\"><!-- wp:image {\"id\":3610,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/featured-image6.png\" alt=\"\" class=\"wp-image-3610\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:18px\">   City</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-featured-section-image\"} -->\n<div class=\"wp-block-column stock-photos-featured-section-image\"><!-- wp:image {\"id\":3611,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/featured-image7.png\" alt=\"\" class=\"wp-image-3611\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:18px\">Animals</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-featured-section-image\"} -->\n<div class=\"wp-block-column stock-photos-featured-section-image\"><!-- wp:image {\"id\":3612,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-md-0\"} -->\n<figure class=\"wp-block-image size-full mb-md-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/featured-image8.png\" alt=\"\" class=\"wp-image-3612\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:paragraph {\"align\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"18px\"}},\"className\":\"mb-0\"} -->\n<p class=\"has-text-align-center mb-0\" style=\"font-size:18px\">   Cars</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'stock-photos/choices-section',
		array(
			'title'      => __( 'Choices Section', 'stock-photos' ),
			'categories' => array( 'stock_photos' ),
			'content'    => "<!-- wp:group {\"className\":\"stock-photos-choices-section pt-5\"} -->\n<div class=\"wp-block-group stock-photos-choices-section pt-5\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"25px\"}}} -->\n<h2 class=\"has-text-align-center\" style=\"font-size:25px\">Select Images From Your Choice</h2>\n<!-- /wp:heading -->\n\n<!-- wp:buttons {\"className\":\"pt-2\",\"layout\":{\"type\":\"flex\",\"justifyContent\":\"center\"}} -->\n<div class=\"wp-block-buttons pt-2\"><!-- wp:button {\"backgroundColor\":\"white\",\"textColor\":\"black\",\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-black-color has-white-background-color has-text-color has-background\">Outdoor</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:14px\"><a class=\"wp-block-button__link\">Travel</a></div>\n<!-- /wp:button -->\n\n<!-- wp:button {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"className\":\"is-style-outline\"} -->\n<div class=\"wp-block-button has-custom-font-size is-style-outline\" style=\"font-size:14px\"><a class=\"wp-block-button__link\">Vacation</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons -->\n\n<!-- wp:columns {\"className\":\"stock-photos-choices-section-column\"} -->\n<div class=\"wp-block-columns stock-photos-choices-section-column\"><!-- wp:column {\"className\":\"stock-photos-choices-section-image\"} -->\n<div class=\"wp-block-column stock-photos-choices-section-image\"><!-- wp:image {\"id\":3638,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/choices-image1.png\" alt=\"\" class=\"wp-image-3638\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-choices-section-image\"} -->\n<div class=\"wp-block-column stock-photos-choices-section-image\"><!-- wp:image {\"id\":3639,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/choices-image2.png\" alt=\"\" class=\"wp-image-3639\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"stock-photos-choices-section-image\"} -->\n<div class=\"wp-block-column stock-photos-choices-section-image\"><!-- wp:image {\"id\":3640,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/choices-image3.png\" alt=\"\" class=\"wp-image-3640\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}